Bug 1262889 - -q option is not quiet enough for --new-chroot
-q option is not quiet enough for --new-chroot
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 10:45 EDT by Vít Ondruch
Modified: 2015-10-07 00:06 EDT (History)
6 users (show)

See Also:
Fixed In Version: 1.2.13-2.fc22 mock-1.2.13-2.fc21 mock-1.2.13-2.el7 mock-1.2.13-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:10:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-09-14 10:45:45 EDT
Description of problem:
$ mock -r ruby -q --old-chroot --chroot 'realpath ~'
/builddir

$ mock -r ruby -q --new-chroot --chroot 'realpath ~'
Spawning container b379de02cf7f49cdac8bf5d3ac4a95d0 on /var/lib/mock/ruby/root.
Press ^] three times within 1s to kill container.
/root
Container b379de02cf7f49cdac8bf5d3ac4a95d0 exited successfully.


Version-Release number of selected component (if applicable):
$ rpm -q mock
mock-1.2.12-1.fc22.noarch


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
Messages such as "Spawning container b379de02cf7f49cdac8bf5d3ac4a95 ..." and similar appears in output.

Expected results:
Only the output of the specified command is printed.


Additional info:
Comment 1 Miroslav Suchý 2015-09-15 03:45:40 EDT
Fixed in commit 3830eac
Comment 2 Fedora Update System 2015-09-16 16:01:51 EDT
mock-1.2.13-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16053
Comment 3 Fedora Update System 2015-09-16 16:04:50 EDT
mock-1.2.13-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16054
Comment 4 Fedora Update System 2015-09-16 16:06:50 EDT
mock-1.2.13-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16056
Comment 5 Fedora Update System 2015-09-16 16:08:33 EDT
mock-1.2.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8114
Comment 6 Fedora Update System 2015-09-16 16:09:39 EDT
mock-1.2.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8115
Comment 7 Fedora Update System 2015-09-17 17:30:01 EDT
mock-1.2.13-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16054
Comment 8 Fedora Update System 2015-09-18 01:20:57 EDT
mock-1.2.13-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16056
Comment 9 Fedora Update System 2015-09-18 12:24:44 EDT
mock-1.2.13-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16053
Comment 10 Fedora Update System 2015-09-18 23:19:51 EDT
mock-1.2.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8115
Comment 11 Fedora Update System 2015-09-18 23:21:41 EDT
mock-1.2.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update mock'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8114
Comment 12 Fedora Update System 2015-09-23 00:09:15 EDT
mock-1.2.13-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-09-24 04:23:04 EDT
mock-1.2.13-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-10-05 18:50:28 EDT
mock-1.2.13-2.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-06 23:04:58 EDT
mock-1.2.13-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-07 00:04:44 EDT
mock-1.2.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.